# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit go-module

DESCRIPTION="A utility to make floating windows visible across all workspaces in niri — similar to \"sticky windows\" in other compositors."
HOMEPAGE="https://github.com/probeldev/niri-float-sticky"
SRC_URI="${HOMEPAGE}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

KEYWORDS="~amd64 ~x86"

S="${WORKDIR}/${P}"

LICENSE="MIT"
SLOT="0"
#IUSE="doc"

RDEPEND="
"
DEPEND="
	${RDEPEND}
"

BDEPEND="
"

#PATCHES=(
#	"${FILESDIR}"/${PN}-2020.4-fix-build.patch
#)

#RESTRICT=test

src_unpack() {
	default

	cp -a "${FILESDIR}/${P}-vendor/vendor" "${S}/vendor" || die
	go-env_set_compile_environment
}

src_compile() {
	export GOFLAGS="${GOFLAGS} -mod=vendor"
	ego build
}

src_install() {
	dobin niri-float-sticky

	default
}
